http://www.berklix.com/~jhs//src/bsd/fixes/FreeBSD/src/gen/contrib/gnu/usr.bin/cvs/

http://www.freebsd.org/cgi/query-pr.cgi?pr=gnu/82484

CVS is in 9.2-RELEASE
This patch not needed for 10.0-ALPHA4 & current

To: FreeBSD-gnats-submit@freebsd.org
From: jhs @ berklix.com
Reply-To: jhs @ berklix.com
Cc: jhs @ berklix.com
X-send-pr-version: 3.113
X-GNATS-Notify: 


>Submitter-Id:	current-users
>Originator:	jhs @ berklix.com
>Organization:	http://www.berklix.com
>Confidential:	no <FreeBSD PRs are public data>
>Synopsis:	patch for misleading man cvs <synopsis of the problem (one line)>
>Severity:	non-critical 
>Priority:	low 
>Category:	gnu
>Class:		change-request
>Release:	FreeBSD 5.3-RELEASE i386
>Environment:
System: FreeBSD fire 5.3-RELEASE FreeBSD 5.3-RELEASE #0: Tue Jun 7 10:40:30 CEST 2005 jhs@fire:/usr1/5.3-RELEASE/src/sys/i386/compile/FIRE32.small i386


	<machine, os, target, libraries (multiple lines)>
>Description:
	<precise description of the problem (multiple lines)>
Quoting man cvs` line
        export [-flNnQq] -r rev|-D date [-d dir] [-k kflag] module...
The pipe symbol implied to me that -r & -D were mutually exclusive
on export, but they're Not.  Neither are -r & -D mutually exclusive
on co = checkout = get, so I checked export function too & thankfully
they're not mutually exclusive on export either.

man cvs line should omit the | symbol & add [] twice, thus:
        export [-flNnQq] [-r rev] [-D date] [-d dir] [-k kflag] module...

>How-To-Repeat:
	<code/input/activities to reproduce the problem (multiple lines)>
                cd a
                cvs -R export  -D "1-Aug-2004" sys
                du -s
                86114
        ------
                cd b
                cvs -R export -r RELENG_5 -D "1-Aug-2004" sys
                du -s
                65964
>Fix:

	<how to correct or work around the problem, if known (multiple lines)>

man cvs > ~/tmp/cvs.man1
cd /usr/src ; patch -p 1 << EOF
*** 5.3-RELEASE/src/contrib/cvs/man/cvs.1	Tue Jun 21 12:59:11 2005
--- new/src/contrib/cvs/man/cvs.1	Tue Jun 21 14:33:18 2005
***************
*** 1129,1135 ****
  .I you
  have changed), or that differ from the revision specified.
  .TP
! \fBexport\fP [\-\fBf\|lNnQq\fP] \fB\-r\fP \fIrev\fP\||\|\fB\-D\fP \fIdate\fP [\fB\-d\fP \fIdir\fP] [\fB\-k\fP \fIkflag\fP] \fImodule\fP.\|.\|.
  .I Requires:
  repository.
  .br
--- 1129,1136 ----
  .I you
  have changed), or that differ from the revision specified.
  .TP
! .\" \fBexport\fP [\-\fBf\|lNnQq\fP] \fB\-r\fP \fIrev\fP\||\|\fB\-D\fP \fIdate\fP [\fB\-d\fP \fIdir\fP] [\fB\-k\fP \fIkflag\fP] \fImodule\fP.\|.\|.
! \fBexport\fP [\-\fBf\|lNnQq\fP] [\fB\-r\fP \fIrev\fP\|] [\|\fB\-D\fP \fIdate\fP] [\fB\-d\fP \fIdir\fP] [\fB\-k\fP \fIkflag\fP] \fImodule\fP.\|.\|.
  .I Requires:
  repository.
  .br
EOF
cd /usr/src/gnu/usr.bin/cvs; make install; man cvs > ~/tmp/cvs.man2
diff -c ~/tmp/cvs.man[12]; rm ~/tmp/cvs.man[12]

!        export [-flNnQq] -r rev|-D date [-d dir] [-k kflag] module...
!        export [-flNnQq] [-r rev] [-D date] [-d dir] [-k kflag] module...


Below is a copy of http://www.freebsd.org/cgi/query-pr.cgi?pr=gnu/82484
taken 2011-07-25
--------------------------------
##	gnu/82484: [patch] for misleading man cvs
##	From: 	jhs@@@berklix.org
##	Date: 	Tue, 21 Jun 2005 15:24:15 +0200 (CEST)
##	Subject: 	patch for misleading man cvs
##	Send-pr version: 	3.113
##	Number: 	82484
##	Category: 	gnu
##	Synopsis: 	[patch] for misleading man cvs
##	Severity: 	non-critical
##	Priority: 	low
##	Responsible: 	freebsd-bugs
##	State: 	suspended
##	Class: 	change-request
##	Arrival-Date: 	Tue Jun 21 13:30:02 GMT 2005
##	Closed-Date: 	
##	Last-Modified: 	Tue Jun 24 17:48:46 UTC 2008
##	Originator: 	jhs@@@berklix.com
##	Release: 	FreeBSD 5.3-RELEASE i386
##	Description
##	Quoting man cvs` line
##	export [-flNnQq] -r rev|-D date [-d dir] [-k kflag] module...
##	The pipe symbol implied to me that -r & -D were mutually exclusive
##	on export, but they're Not. Neither are -r & -D mutually exclusive
##	on co = checkout = get, so I checked export function too & thankfully
##	they're not mutually exclusive on export either.
##	
##	man cvs line should omit the | symbol & add [] twice, thus:
##	export [-flNnQq] [-r rev] [-D date] [-d dir] [-k kflag] module...
##	How-To-Repeat
##	cd a
##	cvs -R export -D "1-Aug-2004" sys
##	du -s
##	86114
##	------
##	cd b
##	cvs -R export -r RELENG_5 -D "1-Aug-2004" sys
##	du -s
##	65964
##	Fix
##	man cvs > ~/tmp/cvs.man1
##	cd /usr/src ; patch -p 1 << EOF
##	Download patch.txt
##	
##	*** 5.3-RELEASE/contrib/cvs/man/cvs.1.orig       Tue Jun 21 12:59:11 2005
##	--- new/contrib/cvs/man/cvs.1  Tue Jun 21 14:33:18 2005
##	***************
##	*** 1129,1135 ****
##	  .I you
##	  have changed), or that differ from the revision specified.
##	  .TP
##	! \fBexport\fP [\-\fBf\|lNnQq\fP] \fB\-r\fP \fIrev\fP\||\|\fB\-D\fP \fIdate\fP [\fB\-d\fP \fIdir\fP] [\fB\-k\fP \fIkflag\fP] \fImodule\fP.\|.\|.
##	  .I Requires:
##	  repository.
##	  .br
##	--- 1129,1136 ----
##	  .I you
##	  have changed), or that differ from the revision specified.
##	  .TP
##	! .\" \fBexport\fP [\-\fBf\|lNnQq\fP] \fB\-r\fP \fIrev\fP\||\|\fB\-D\fP \fIdate\fP [\fB\-d\fP \fIdir\fP] [\fB\-k\fP \fIkflag\fP] \fImodule\fP.\|.\|.
##	! \fBexport\fP [\-\fBf\|lNnQq\fP] [\fB\-r\fP \fIrev\fP\|] [\|\fB\-D\fP \fIdate\fP] [\fB\-d\fP \fIdir\fP] [\fB\-k\fP \fIkflag\fP] \fImodule\fP.\|.\|.
##	  .I Requires:
##	  repository.
##	  .br
##	EOF
##	cd /usr/src/gnu/usr.bin/cvs; make install; man cvs > ~/tmp/cvs.man2
##	diff -c ~/tmp/cvs.man[12]; rm ~/tmp/cvs.man[12]
##	
##	! export [-flNnQq] -r rev|-D date [-d dir] [-k kflag] module...
##	! export [-flNnQq] [-r rev] [-D date] [-d dir] [-k kflag] module...
##	Release-Note
##	Audit-Trail
##	Reply via E-mail [Link]
##	From: 	"Garrett Cooper" <yanefbsd@@@gmail.com>
##	To: 	bug-followup@@@FreeBSD.org, jhs@@@berklix.org
##	Date: 	Fri, 20 Jun 2008 19:51:54 -0700
##	This should be filed as a documentation bug upstream to the CVS folks...
##	-Garrett
##	Reply via E-mail [Link]
##	From: 	"Julian H. Stacey" <jhs@@@berklix.org> [submitter]
##	To: 	"Garrett Cooper" <yanefbsd@@@gmail.com>
##	Date: 	Sat, 21 Jun 2008 12:35:32 +0200
##	Reference:
##	> From: "Garrett Cooper" <yanefbsd@@@gmail.com>
##	> Date: Fri, 20 Jun 2008 19:51:54 -0700
##	> Message-id: <7d6fde3d0806201951j4f3a85e9r19d119433dff4867@@@mail.gmail.com>
##	
##	"Garrett Cooper" wrote:
##	> This should be filed as a documentation bug upstream to the CVS folks...
##	> -Garrett
##	
##	OK Thanks, who should do that ?
##	Does FreeBSD have cenral liason point to CVS project ?
##	Or should I make contact ? In case, I cc'd info-cvs@@@gnu.org
##	
##	I see /usr/src/contrib/cvs/BUGS -> cvs.texinfo
##	/usr/src/contrib/cvs/doc/cvs.texinfo
##	
##	Ref.
##	http://www.freebsd.org/cgi/query-pr.cgi?pr=82484
##	http://berklis.com/~jhs/src/bsd/fixes/FreeBSD/src/gen/contrib/gnu/usr.bin/cvs/cvs.1.REL=ALL.diff
##	
##	Julian
##	-- 
##	Julian H. Stacey: BSDUnixLinux C Prog Admin SysEng Consult Munich www.berklix.com
##	Mail just Ascii plain text. HTML & Base64 text are spam.
##	Reply via E-mail [Link]
##	From: 	"Julian H. Stacey" <jhs@@@berklix.org> [submitter]
##	To: 	"Garrett Cooper" <yanefbsd@@@gmail.com>
##	Date: 	Sat, 21 Jun 2008 12:35:32 +0200
##	Reference:
##	> From: "Garrett Cooper" <yanefbsd@@@gmail.com>
##	> Date: Fri, 20 Jun 2008 19:51:54 -0700
##	> Message-id: <7d6fde3d0806201951j4f3a85e9r19d119433dff4867@@@mail.gmail.com>
##	
##	"Garrett Cooper" wrote:
##	> This should be filed as a documentation bug upstream to the CVS folks...
##	> -Garrett
##	
##	OK Thanks, who should do that ?
##	Does FreeBSD have cenral liason point to CVS project ?
##	Or should I make contact ? In case, I cc'd info-cvs@@@gnu.org
##	
##	I see /usr/src/contrib/cvs/BUGS -> cvs.texinfo
##	/usr/src/contrib/cvs/doc/cvs.texinfo
##	
##	Ref.
##	http://www.freebsd.org/cgi/query-pr.cgi?pr=82484
##	http://berklis.com/~jhs/src/bsd/fixes/FreeBSD/src/gen/contrib/gnu/usr.bin/cvs/cvs.1.REL=ALL.diff
##	
##	Julian
##	-- 
##	Julian H. Stacey: BSDUnixLinux C Prog Admin SysEng Consult Munich www.berklix.com
##	Mail just Ascii plain text. HTML & Base64 text are spam.
##	Reply via E-mail [Link]
##	From: 	"Mark D. Baushke" <mdb@@@gnu.org>
##	To: 	"Julian H. Stacey" <jhs@@@berklix.org>
##	Date: 	Mon, 23 Jun 2008 13:45:28 -0700
##	Hi Julian,
##	
##	Julian H. Stacey <jhs@@@berklix.org> writes:
##	
##	> Reference:
##	> > From: "Garrett Cooper" <yanefbsd@@@gmail.com>
##	> > Date: Fri, 20 Jun 2008 19:51:54 -0700
##	> > Message-id: <7d6fde3d0806201951j4f3a85e9r19d119433dff4867@@@mail.gmail.com>
##	>
##	> "Garrett Cooper" wrote:
##	> > This should be filed as a documentation bug upstream to the CVS folks...
##	> > -Garrett
##	>
##	> OK Thanks, who should do that ?
##	> Does FreeBSD have cenral liason point to CVS project ?
##	
##	Well, both deo@@@freebsd.org and I work for the same employer.
##	(This may or may not be considered a liason point. :-)
##	
##	> Or should I make contact ? In case, I cc'd info-cvs@@@gnu.org
##	
##	Email to bug-cvs@@@nongnu.org would be a place to ask about getting bug
##	fixes into CVS sources rather than info-cvs@@@gnu.org.
##	
##	> I see /usr/src/contrib/cvs/BUGS -> cvs.texinfo
##	> /usr/src/contrib/cvs/doc/cvs.texinfo
##	>
##	> Ref.
##	> http://www.freebsd.org/cgi/query-pr.cgi?pr=82484
##	> http://berklis.com/~jhs/src/bsd/fixes/FreeBSD/src/gen/contrib/gnu/usr.bin/cvs/cvs.1.REL=ALL.diff
##	
##	Bug reports for CVS should be submitted via the web to:
##	http://savannah.nongnu.org/bugs/?func=additem&group=cvs
##	
##	Note: I was unable to use the
##	http://berklis.com/~jhs/src/bsd/fixes/FreeBSD/src/gen/contrib/gnu/usr.bin/cvs/cvs.1.REL=ALL.diff
##	link.
##	
##	I have updated the cvs 1.11.x documentation to try to clarify things.
##	
##	Note: cvs 1.12.x is moving toward -r rev:date rather than -r rev -D date,
##	and CVS clients may use this notation if the servers are at 1.12.x.
##	
##	Enjoy!
##	-- Mark
##	
##	------- archive message -------
##	To: cvs-cvs@@@nongnu.org
##	From: "Mark D. Baushke" <mdb@@@gnu.org>
##	Date: Mon, 23 Jun 2008 20:35:22 +0000
##	Subject: [Cvs-cvs] ccvs/doc ChangeLog cvs.1 cvs.texinfo stamp-vti ...
##	[cvs1-11-x-branch]
##	
##	CVSROOT: /cvsroot/cvs
##	Module name: ccvs
##	Branch: cvs1-11-x-branch
##	Changes by: Mark D. Baushke <mdb> 08/06/23 20:35:22
##	
##	Modified files:
##	doc : ChangeLog cvs.1 cvs.texinfo stamp-vti
##	version.texi
##	
##	Log message:
##	* cvs.texinfo (export): Clarify the use of both -r rev and -D date
##	on the same command line.
##	* cvs.1, stamp-vti, version.texi: Regenerated.
##	
##	CVSWeb URLs:
##	http://cvs.savannah.gnu.org/viewcvs/ccvs/doc/ChangeLog?cvsroot=cvs&only_with_tag=cvs1-11-x-branch&r1=1.721.2.135&r2=1.721.2.136
##	http://cvs.savannah.gnu.org/viewcvs/ccvs/doc/cvs.1?cvsroot=cvs&only_with_tag=cvs1-11-x-branch&r1=1.1.2.28&r2=1.1.2.29
##	http://cvs.savannah.gnu.org/viewcvs/ccvs/doc/cvs.texinfo?cvsroot=cvs&only_with_tag=cvs1-11-x-branch&r1=1.545.2.76&r2=1.545.2.77
##	http://cvs.savannah.gnu.org/viewcvs/ccvs/doc/stamp-vti?cvsroot=cvs&only_with_tag=cvs1-11-x-branch&r1=1.19.2.105&r2=1.19.2.106
##	http://cvs.savannah.gnu.org/viewcvs/ccvs/doc/version.texi?cvsroot=cvs&only_with_tag=cvs1-11-x-branch&r1=1.20.2.105&r2=1.20.2.106
##	
##	Patches:
##	Index: ChangeLog
##	===================================================================
##	RCS file: /cvsroot/cvs/ccvs/doc/ChangeLog,v
##	retrieving revision 1.721.2.135
##	retrieving revision 1.721.2.136
##	diff -u -b -r1.721.2.135 -r1.721.2.136
##	--- ChangeLog 29 Mar 2008 23:09:34 -0000 1.721.2.135
##	+++ ChangeLog 23 Jun 2008 20:35:20 -0000 1.721.2.136
##	@@@@@@ -1,3 +1,9 @@@@@@
##	+2008-06-23 Mark D. Baushke <mdb@@@gnu.org>
##	+
##	+ * cvs.texinfo (export): Clarify the use of both -r rev and -D date
##	+ on the same command line.
##	+ * cvs.1: Regenerated.
##	+
##	2008-03-29 Larry Jones <lawrence.jones@@@siemens.com>
##	
##	* cvs.texinfo (import options): Add -d.
##	
##	Index: cvs.1
##	===================================================================
##	RCS file: /cvsroot/cvs/ccvs/doc/cvs.1,v
##	retrieving revision 1.1.2.28
##	retrieving revision 1.1.2.29
##	diff -u -b -r1.1.2.28 -r1.1.2.29
##	--- cvs.1 29 Mar 2008 23:09:35 -0000 1.1.2.28
##	+++ cvs.1 23 Jun 2008 20:35:21 -0000 1.1.2.29
##	@@@@@@ -2566,7 +2566,7 @@@@@@
##	.IX "export (subcommand)"
##	.SP
##	.IP "\(bu" 2
##	-Synopsis: export [-flNnR] [-r rev|-D date] [-k subst] [-d dir] module\&...
##	+Synopsis: export [-flNnR] (-r rev [-D date] | -D date) [-k subst] [-d dir] module\&...
##	.IP "\(bu" 2
##	Requires: repository.
##	.IP "\(bu" 2
##	@@@@@@ -2628,7 +2628,10 @@@@@@
##	.IP "" 0
##	\fB-r \fItag\fB\fR
##	.IP "" 2
##	-Use revision \fItag\fR.
##	+Export the revision specified by \fItag\fR or, when
##	+\fB-D\fR \fIdate\fR is specified and \fItag\fR is a
##	+branch tag, the version from the branch \fItag\fR as it
##	+existed on \fIdate\fR.
##	.SP
##	In addition, these options (that are common to
##	\fBcheckout\fR and \fBexport\fR) are also supported:
##	
##	Index: cvs.texinfo
##	===================================================================
##	RCS file: /cvsroot/cvs/ccvs/doc/cvs.texinfo,v
##	retrieving revision 1.545.2.76
##	retrieving revision 1.545.2.77
##	diff -u -b -r1.545.2.76 -r1.545.2.77
##	--- cvs.texinfo 29 Mar 2008 23:09:35 -0000 1.545.2.76
##	+++ cvs.texinfo 23 Jun 2008 20:35:21 -0000 1.545.2.77
##	@@@@@@ -9933,7 +9933,7 @@@@@@
##	
##	@@@itemize @@@bullet
##	@@@item
##	-Synopsis: export [-flNnR] [-r rev|-D date] [-k subst] [-d dir] module@@@dots{}
##	+Synopsis: export [-flNnR] (-r rev [-D date] | -D date) [-k subst] [-d dir] module@@@dots{}
##	@@@item
##	Requires: repository.
##	@@@item
##	@@@@@@ -9991,7 +9991,10 @@@@@@
##	Export directories recursively. This is on by default.
##	
##	@@@item -r @@@var{tag}
##	-Use revision @@@var{tag}.
##	+Export the revision specified by @@@var{tag} or, when
##	+@@@code{-D} @@@var{date} is specified and @@@var{tag} is a
##	+branch tag, the version from the branch @@@var{tag} as it
##	+existed on @@@var{date}.
##	@@@end table
##	
##	In addition, these options (that are common to
##	
##	Index: stamp-vti
##	===================================================================
##	RCS file: /cvsroot/cvs/ccvs/doc/stamp-vti,v
##	retrieving revision 1.19.2.105
##	retrieving revision 1.19.2.106
##	diff -u -b -r1.19.2.105 -r1.19.2.106
##	--- stamp-vti 8 May 2008 05:01:38 -0000 1.19.2.105
##	+++ stamp-vti 23 Jun 2008 20:35:22 -0000 1.19.2.106
##	@@@@@@ -1,4 +1,4 @@@@@@
##	-@@@set UPDATED 6 May 2008
##	-@@@set UPDATED-MONTH May 2008
##	+@@@set UPDATED 23 June 2008
##	+@@@set UPDATED-MONTH June 2008
##	@@@set EDITION 1.11.23.1
##	@@@set VERSION 1.11.23.1
##	
##	Index: version.texi
##	===================================================================
##	RCS file: /cvsroot/cvs/ccvs/doc/version.texi,v
##	retrieving revision 1.20.2.105
##	retrieving revision 1.20.2.106
##	diff -u -b -r1.20.2.105 -r1.20.2.106
##	--- version.texi 8 May 2008 05:01:38 -0000 1.20.2.105
##	+++ version.texi 23 Jun 2008 20:35:22 -0000 1.20.2.106
##	@@@@@@ -1,4 +1,4 @@@@@@
##	-@@@set UPDATED 6 May 2008
##	-@@@set UPDATED-MONTH May 2008
##	+@@@set UPDATED 23 June 2008
##	+@@@set UPDATED-MONTH June 2008
##	@@@set EDITION 1.11.23.1
##	@@@set VERSION 1.11.23.1
##	
##	
##	_______________________________________________
##	Cvs-cvs mailing list
##	Cvs-cvs@@@nongnu.org
##	http://lists.nongnu.org/mailman/listinfo/cvs-cvs
##	Reply via E-mail [Link]
##	From: 	"Julian H. Stacey" <jhs@@@berklix.org> [submitter]
##	To: 	"Mark D. Baushke" <mdb@@@gnu.org>
##	Date: 	Tue, 24 Jun 2008 11:01:04 +0200
##	Reference:
##	> From: "Mark D. Baushke" <mdb@@@gnu.org>
##	> Date: Mon, 23 Jun 2008 13:45:28 -0700
##	> Message-id: <40357.1214253928@@@juniper.net>
##	
##	"Mark D. Baushke" wrote:
##	> Hi Julian,
##	>
##	> Julian H. Stacey <jhs@@@berklix.org> writes:
##	>
##	> > Reference:
##	> > > From: "Garrett Cooper" <yanefbsd@@@gmail.com>
##	> > > Date: Fri, 20 Jun 2008 19:51:54 -0700
##	> > > Message-id: <7d6fde3d0806201951j4f3a85e9r19d119433dff4867@@@mail.gmail.com>
##	> >
##	> > "Garrett Cooper" wrote:
##	> > > This should be filed as a documentation bug upstream to the CVS folks...
##	> > > -Garrett
##	> >
##	> > OK Thanks, who should do that ?
##	> > Does FreeBSD have cenral liason point to CVS project ?
##	>
##	> Well, both deo@@@freebsd.org and I work for the same employer.
##	> (This may or may not be considered a liason point. :-)
##	>
##	> > Or should I make contact ? In case, I cc'd info-cvs@@@gnu.org
##	>
##	> Email to bug-cvs@@@nongnu.org would be a place to ask about getting bug
##	> fixes into CVS sources rather than info-cvs@@@gnu.org.
##	>
##	> > I see /usr/src/contrib/cvs/BUGS -> cvs.texinfo
##	> > /usr/src/contrib/cvs/doc/cvs.texinfo
##	> >
##	> > Ref.
##	> > http://www.freebsd.org/cgi/query-pr.cgi?pr=82484
##	> > http://berklis.com/~jhs/src/bsd/fixes/FreeBSD/src/gen/contrib/gnu/usr.bin/cvs/cvs.1.REL=ALL.diff
##	>
##	> Bug reports for CVS should be submitted via the web to:
##	> http://savannah.nongnu.org/bugs/?func=additem&group=cvs
##	>
##	> Note: I was unable to use the
##	> http://berklis.com/~jhs/src/bsd/fixes/FreeBSD/src/gen/contrib/gnu/usr.bin/cvs/cvs.1.REL=ALL.diff
##	
##	Whoops, Sorry, I mis typed my domain name should be berkliX not berkliS !
##	
##	http://www.berklix.com/~jhs/src/bsd/fixes/FreeBSD/src/gen/contrib/gnu/usr.bin/cvs/cvs.1.REL=ALL.diff
##	
##	
##	> link.
##	>
##	> I have updated the cvs 1.11.x documentation to try to clarify things.
##	>
##	> Note: cvs 1.12.x is moving toward -r rev:date rather than -r rev -D date,
##	> and CVS clients may use this notation if the servers are at 1.12.x.
##	>
##	> Enjoy!
##	> -- Mark
##	
##	I will try to re-read this mail this evening & do anyhting else I might need to,
##	thanks for your reply !
##	
##	>
##	> ------- archive message -------
##	> To: cvs-cvs@@@nongnu.org
##	> From: "Mark D. Baushke" <mdb@@@gnu.org>
##	> Date: Mon, 23 Jun 2008 20:35:22 +0000
##	> Subject: [Cvs-cvs] ccvs/doc ChangeLog cvs.1 cvs.texinfo stamp-vti ...
##	> [cvs1-11-x-branch]
##	>
##	> CVSROOT: /cvsroot/cvs
##	> Module name: ccvs
##	> Branch: cvs1-11-x-branch
##	> Changes by: Mark D. Baushke <mdb> 08/06/23 20:35:22
##	>
##	> Modified files:
##	> doc : ChangeLog cvs.1 cvs.texinfo stamp-vti
##	> version.texi
##	>
##	> Log message:
##	> * cvs.texinfo (export): Clarify the use of both -r rev and -D date
##	> on the same command line.
##	> * cvs.1, stamp-vti, version.texi: Regenerated.
##	>
##	> CVSWeb URLs:
##	> http://cvs.savannah.gnu.org/viewcvs/ccvs/doc/ChangeLog?cvsroot=cvs&only_with_tag=cvs1-11-x-branch&r1=1.721.2.135&r2=1.721.2.136
##	> http://cvs.savannah.gnu.org/viewcvs/ccvs/doc/cvs.1?cvsroot=cvs&only_with_tag=cvs1-11-x-branch&r1=1.1.2.28&r2=1.1.2.29
##	> http://cvs.savannah.gnu.org/viewcvs/ccvs/doc/cvs.texinfo?cvsroot=cvs&only_with_tag=cvs1-11-x-branch&r1=1.545.2.76&r2=1.545.2.77
##	> http://cvs.savannah.gnu.org/viewcvs/ccvs/doc/stamp-vti?cvsroot=cvs&only_with_tag=cvs1-11-x-branch&r1=1.19.2.105&r2=1.19.2.106
##	> http://cvs.savannah.gnu.org/viewcvs/ccvs/doc/version.texi?cvsroot=cvs&only_with_tag=cvs1-11-x-branch&r1=1.20.2.105&r2=1.20.2.106
##	>
##	> Patches:
##	> Index: ChangeLog
##	> ===================================================================
##	> RCS file: /cvsroot/cvs/ccvs/doc/ChangeLog,v
##	> retrieving revision 1.721.2.135
##	> retrieving revision 1.721.2.136
##	> diff -u -b -r1.721.2.135 -r1.721.2.136
##	> --- ChangeLog 29 Mar 2008 23:09:34 -0000 1.721.2.135
##	> +++ ChangeLog 23 Jun 2008 20:35:20 -0000 1.721.2.136
##	> @@@@@@ -1,3 +1,9 @@@@@@
##	> +2008-06-23 Mark D. Baushke <mdb@@@gnu.org>
##	> +
##	> + * cvs.texinfo (export): Clarify the use of both -r rev and -D date
##	> + on the same command line.
##	> + * cvs.1: Regenerated.
##	> +
##	> 2008-03-29 Larry Jones <lawrence.jones@@@siemens.com>
##	>
##	> * cvs.texinfo (import options): Add -d.
##	>
##	> Index: cvs.1
##	> ===================================================================
##	> RCS file: /cvsroot/cvs/ccvs/doc/cvs.1,v
##	> retrieving revision 1.1.2.28
##	> retrieving revision 1.1.2.29
##	> diff -u -b -r1.1.2.28 -r1.1.2.29
##	> --- cvs.1 29 Mar 2008 23:09:35 -0000 1.1.2.28
##	> +++ cvs.1 23 Jun 2008 20:35:21 -0000 1.1.2.29
##	> @@@@@@ -2566,7 +2566,7 @@@@@@
##	> .IX "export (subcommand)"
##	> .SP
##	> .IP "\(bu" 2
##	> -Synopsis: export [-flNnR] [-r rev|-D date] [-k subst] [-d dir] module\&...
##	> +Synopsis: export [-flNnR] (-r rev [-D date] | -D date) [-k subst] [-d dir] module\&...
##	> .IP "\(bu" 2
##	> Requires: repository.
##	> .IP "\(bu" 2
##	> @@@@@@ -2628,7 +2628,10 @@@@@@
##	> .IP "" 0
##	> \fB-r \fItag\fB\fR
##	> .IP "" 2
##	> -Use revision \fItag\fR.
##	> +Export the revision specified by \fItag\fR or, when
##	> +\fB-D\fR \fIdate\fR is specified and \fItag\fR is a
##	> +branch tag, the version from the branch \fItag\fR as it
##	> +existed on \fIdate\fR.
##	> .SP
##	> In addition, these options (that are common to
##	> \fBcheckout\fR and \fBexport\fR) are also supported:
##	>
##	> Index: cvs.texinfo
##	> ===================================================================
##	> RCS file: /cvsroot/cvs/ccvs/doc/cvs.texinfo,v
##	> retrieving revision 1.545.2.76
##	> retrieving revision 1.545.2.77
##	> diff -u -b -r1.545.2.76 -r1.545.2.77
##	> --- cvs.texinfo 29 Mar 2008 23:09:35 -0000 1.545.2.76
##	> +++ cvs.texinfo 23 Jun 2008 20:35:21 -0000 1.545.2.77
##	> @@@@@@ -9933,7 +9933,7 @@@@@@
##	>
##	> @@@itemize @@@bullet
##	> @@@item
##	> -Synopsis: export [-flNnR] [-r rev|-D date] [-k subst] [-d dir] module@@@dots{}
##	> +Synopsis: export [-flNnR] (-r rev [-D date] | -D date) [-k subst] [-d dir] module@@@dots{}
##	> @@@item
##	> Requires: repository.
##	> @@@item
##	> @@@@@@ -9991,7 +9991,10 @@@@@@
##	> Export directories recursively. This is on by default.
##	>
##	> @@@item -r @@@var{tag}
##	> -Use revision @@@var{tag}.
##	> +Export the revision specified by @@@var{tag} or, when
##	> +@@@code{-D} @@@var{date} is specified and @@@var{tag} is a
##	> +branch tag, the version from the branch @@@var{tag} as it
##	> +existed on @@@var{date}.
##	> @@@end table
##	>
##	> In addition, these options (that are common to
##	>
##	> Index: stamp-vti
##	> ===================================================================
##	> RCS file: /cvsroot/cvs/ccvs/doc/stamp-vti,v
##	> retrieving revision 1.19.2.105
##	> retrieving revision 1.19.2.106
##	> diff -u -b -r1.19.2.105 -r1.19.2.106
##	> --- stamp-vti 8 May 2008 05:01:38 -0000 1.19.2.105
##	> +++ stamp-vti 23 Jun 2008 20:35:22 -0000 1.19.2.106
##	> @@@@@@ -1,4 +1,4 @@@@@@
##	> -@@@set UPDATED 6 May 2008
##	> -@@@set UPDATED-MONTH May 2008
##	> +@@@set UPDATED 23 June 2008
##	> +@@@set UPDATED-MONTH June 2008
##	> @@@set EDITION 1.11.23.1
##	> @@@set VERSION 1.11.23.1
##	>
##	> Index: version.texi
##	> ===================================================================
##	> RCS file: /cvsroot/cvs/ccvs/doc/version.texi,v
##	> retrieving revision 1.20.2.105
##	> retrieving revision 1.20.2.106
##	> diff -u -b -r1.20.2.105 -r1.20.2.106
##	> --- version.texi 8 May 2008 05:01:38 -0000 1.20.2.105
##	> +++ version.texi 23 Jun 2008 20:35:22 -0000 1.20.2.106
##	> @@@@@@ -1,4 +1,4 @@@@@@
##	> -@@@set UPDATED 6 May 2008
##	> -@@@set UPDATED-MONTH May 2008
##	> +@@@set UPDATED 23 June 2008
##	> +@@@set UPDATED-MONTH June 2008
##	> @@@set EDITION 1.11.23.1
##	> @@@set VERSION 1.11.23.1
##	>
##	>
##	> _______________________________________________
##	> Cvs-cvs mailing list
##	> Cvs-cvs@@@nongnu.org
##	> http://lists.nongnu.org/mailman/listinfo/cvs-cvs
##	>
##	>
##	
##	
##	Julian
##	-- 
##	Julian H. Stacey: BSDUnixLinux C Prog Admin SysEng Consult Munich www.berklix.com
##	Mail just Ascii plain text. HTML & Base64 text are spam.
##	State Changed
##	From-To: 	open->suspended
##	By: 	gavin
##	When: 	Tue Jun 24 17:47:19 UTC 2008
##	Why: 	Mark as suspended - the fix has been pushed upstream so will come
##	into FreeBSD with the next import of cvs(1)
##	Unformatted
##	Submit Followup | Raw PR | Find another PR
##	Legal Notices | © 1995-2011 The FreeBSD Project. All rights reserved.
##	www@@@FreeBSD.org
